﻿
/*menu css*/

:root {
    --primary: #0F1E8A;
    --secondary: #F68B1F;
    --body: #f8fafc;
    --border: #e5e7eb;
    --text: #1e293b;
    --sidebar-width: 280px;
}

.profile-card img {
    margin: 0 auto;
    display: flex;
}

.profile-card {
    background: #b3bcfd;
    padding: 8px 0px;
}

.sidebar-menu::-webkit-scrollbar {
    width: 6px;
}

.sidebar-menu::-webkit-scrollbar-thumb {
    background: #ef8318;
    border-radius: 30px;
}

.sidebar-menu {
    flex: 1;
    overflow-y: auto;
    height: calc(100vh - 100px);
    margin-top: 10px;
    padding: 5px 10px;
}

    .sidebar-menu ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

a.sub-item.active {
    background: #b0b9f9;
    color: #000;
}

.sidebar-menu li {
    margin-bottom: 8px;
}

    .sidebar-menu li a {
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 8px 10px;
        border-radius: 14px;
        text-decoration: none;
        font-weight: 500;
        color: #475569;
        transition: .3s;
    }

        .sidebar-menu li a:hover {
            background: #eef2ff;
            color: var(--primary);
        }

    .sidebar-menu li.active > a {
        background: linear-gradient(135deg,var(--primary),#2536c7);
        color: #fff;
        box-shadow: 0 10px 25px rgba(15,30,138,.25);
    }

.submenu {
    display: none;
    padding-top: 8px;
    padding-left: 12px;
}

    .submenu a {
        height: 40px !important;
        font-size: 14px;
    }

.sidebar-menu li.active .submenu {
    display: block;
    background: #d4daff;
    margin: 10px 0px;
    padding: 6px 10px;
    border-radius: 6px;
}

.main-content {
    background: #eceaff;
    margin: 6px 10px;
    border-radius: 10px;
    min-height:515px;
}
/*end menu css*/

.dataTables_wrapper {
    width: 100%;
}

.dataTables_length,
.dataTables_filter,
.dt-buttons {
    margin-bottom: 10px;
}

.dataTables_length {
    text-align: left;
}

.dataTables_filter {
    text-align: center;
}

    .dataTables_filter label {
        font-weight: 600;
    }

    .dataTables_filter input {
        margin-left: 5px !important;
        min-width: 250px;
    }

.dt-buttons {
    text-align: right;
}

    .dt-buttons .btn {
        margin-left: 5px;
    }

.dataTables_info {
    padding-top: 15px !important;
}

.dataTables_paginate {
    padding-top: 10px !important;
}

table.dataTable thead th {
    white-space: nowrap;
}

table.dataTable tbody td {
    vertical-align: middle;
}

.Excel_btn {
    padding: 0 !important;
    border: 0px !important;
}

    .Excel_btn img {
        width: 30px
    }
/*datatable code*/
.treeviewtooltip {
    background: #fff;
    padding: 10px;
    border: 2px #243196 solid;
    border-radius: 6px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.left-0 {
    left: 0px !important;
}
.btn-primary {
    background: #13238f !important;
    border:none !important;
}
@media screen and (min-width: 320px) and (max-width: 1024px) {
    .side-nav {
        max-width: 250px !important;
    }

    .side-nav {
        position: fixed;
        background: #ffff;
        top: 0;
        left: -100%;
        width: 280px;
        height: 100vh;
        z-index: 9999;
    }

    .mobile-overlay {
        position: fixed;
        z-index: 9999;
        width: 100%;
        height: 100%;
        background: #0000008c;
        top: 0;
        left: 0;
    }

    .right-panel {
        width: 100% !important;
    }

    .toggle-menu i {
        font-size: 30px;
        margin-right: 10px;
    }
}
